Bug 1461656 - Lmod has detected the following error: The following module(s) are unknown: "mpi/openmpi-x86_64"
Summary: Lmod has detected the following error: The following module(s) are unknown: "...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Lmod
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-15 06:04 UTC by Petr Pisar
Modified: 2019-10-06 00:56 UTC (History)
8 users (show)

Fixed In Version: Lmod-8.1.17-3.fc31 Lmod-8.1.17-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-04 20:04:49 UTC
Type: Bug


Attachments (Terms of Use)
Mock build log (452.13 KB, text/plain)
2017-06-15 09:17 UTC, Antonio T. (sagitter)
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1450516 unspecified CLOSED Login shell with systemd-nspawn 2020-10-14 00:28:05 UTC

Internal Links: 1450516

Description Petr Pisar 2017-06-15 06:04:40 UTC
bionetgen-2.3.0-3.fc27 fails to build in F27 x86_64 mock environment:

autoreconf: Leaving directory `.'
+ . /etc/profile.d/modules.sh
++ '[' -z '' ']'
++ '[' -z '' ']'
++ export USER=mockbuild
++ USER=mockbuild
+++ uname
++ export LMOD_sys=Linux
++ LMOD_sys=Linux
++ export MODULEPATH_ROOT=/usr/share/modulefiles
++ MODULEPATH_ROOT=/usr/share/modulefiles
+++ /usr/share/lmod/lmod/libexec/addto --append MODULEPATH /usr/share/modulefiles/Linux /usr/share/modulefiles/Core
++ export MODULEPATH=/usr/share/modulefiles/Linux:/usr/share/modulefiles/Core
++ MODULEPATH=/usr/share/modulefiles/Linux:/usr/share/modulefiles/Core
+++ /usr/share/lmod/lmod/libexec/addto --append MODULEPATH /usr/share/lmod/lmod/modulefiles/Core
++ export MODULEPATH=/usr/share/modulefiles/Linux:/usr/share/modulefiles/Core:/usr/share/lmod/lmod/modulefiles/Core
++ MODULEPATH=/usr/share/modulefiles/Linux:/usr/share/modulefiles/Core:/usr/share/lmod/lmod/modulefiles/Core
++ export BASH_ENV=/usr/share/lmod/lmod/init/bash
++ BASH_ENV=/usr/share/lmod/lmod/init/bash
++ '[' -z '' ']'
++ export MANPATH=:
++ MANPATH=:
+++ /usr/share/lmod/lmod/libexec/addto MANPATH /usr/share/lmod/lmod/share/man
++ export MANPATH=/usr/share/lmod/lmod/share/man::
++ MANPATH=/usr/share/lmod/lmod/share/man::
++ PS_CMD=/usr/bin/ps
++ '[' '!' -x /usr/bin/ps ']'
++ EXPR_CMD=/usr/bin/expr
++ '[' '!' -x /usr/bin/expr ']'
++ BASENAME_CMD=/usr/bin/basename
++ '[' '!' -x /usr/bin/basename ']'
+++ /usr/bin/ps -p 34 -ocomm=
++ my_shell=sh
+++ /usr/bin/expr sh : '-*\(.*\)'
++ my_shell=sh
+++ /usr/bin/basename sh
++ my_shell=sh
++ '[' -f /usr/share/lmod/lmod/init/sh ']'
++ . /usr/share/lmod/lmod/init/sh
+++ LMOD_PKG=/usr/share/lmod/lmod
+++ LMOD_DIR=/usr/share/lmod/lmod/libexec/
+++ LMOD_CMD=/usr/share/lmod/lmod/libexec/lmod
+++ MODULESHOME=/usr/share/lmod/lmod
+++ export LMOD_CMD
+++ export LMOD_PKG
+++ export LMOD_DIR
+++ export MODULESHOME
+++ export LMOD_DIR
++ unset my_shell PS_CMD EXPR_CMD BASENAME_CMD
+ module load mpi/openmpi-x86_64
++ /usr/share/lmod/lmod/libexec/lmod sh load mpi/openmpi-x86_64
Lmod has detected the following error: The following module(s) are unknown:
"mpi/openmpi-x86_64"

Comment 1 Antonio T. (sagitter) 2017-06-15 09:17:45 UTC
Created attachment 1287965 [details]
Mock build log

For me, mock works.

Comment 2 Petr Pisar 2017-06-15 10:19:45 UTC
I think it depends on whether you build the package from a login shell that was started after installing Lmod package or not.

I don't have Lmod on my system and shell I launch mock from does not have any modules environment variables, the build fails.

I can narrow it to:

$ set | grep -i mod
# dnf --allowerasing install Lmod openmpi
$ . /etc/profile.d/modules.sh; module load mpi/openmpi-x86_64
Lmod has detected the following error:  The following module(s) are unknown: "mpi/openmpi-x86_64"

Please check the spelling or version number. Also try "module spider ..."
It is also possible your cache file is out-of-date; it may help to try:
  $ module --ignore-cache load "mpi/openmpi-x86_64"

Also make sure that all modulefiles written in TCL start with the string #%Module

I think this is a bug in %_openmpi_load macro defined in /usr/lib/rpm/macros.d/macros.openmpi-x86_64. It does not work in this case.

Comment 3 Petr Pisar 2017-06-15 10:22:13 UTC
The /usr/lib/rpm/macros.d/macros.openmpi-x86_64 belongs to openmpi-devel-2.0.2-2.fc26.x86_64. Reassigning to openmpi.

Comment 4 Orion Poplawski 2017-06-16 02:12:22 UTC
I wonder if this is caused by bug #1450516 - mock no longer providing a login shell with systemd-nspawn - which should be fixed in git, but I don't know what version the builders are running.

Comment 5 Petr Pisar 2017-06-16 06:56:56 UTC
I have mock-1.4.1-1.fc25 and I use the nspawn method. Passing --old-chroot option to the mock tool does not help. It's probably triggered by the bug #1450516.

But I still think the %_openmpi_load should deal with it. Adding

  . /etc/profile.d/00-modulepath.sh;

before %_openmpi_load macro helps.

Comment 6 Jan Kurik 2017-08-15 06:37:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 7 Jaroslav Škarvada 2018-11-26 11:42:26 UTC
I also hit it when rebasing HPL.

Comment 8 Ben Cotton 2018-11-27 13:29:07 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Petr Pisar 2018-11-27 13:58:44 UTC
while biontgen is building fine, I still can reproduce the openmpi error as described in comment #2 in Fedora 30 with openmpi-2.1.5-1.fc30.x86_64 and Lmod-7.8.9-1.fc30.x86_64.

Comment 10 Ben Cotton 2019-02-19 17:12:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 11 Zbigniew Jędrzejewski-Szmek 2019-09-21 13:07:50 UTC
https://src.fedoraproject.org/rpms/Lmod/pull-request/1

Comment 12 Fedora Update System 2019-09-25 01:03:47 UTC
FEDORA-2019-11f1caa62c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-11f1caa62c

Comment 13 Fedora Update System 2019-09-25 01:03:47 UTC
FEDORA-2019-2076eab79f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2076eab79f

Comment 14 Fedora Update System 2019-09-26 02:48:08 UTC
Lmod-8.1.17-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-11f1caa62c

Comment 15 Fedora Update System 2019-09-26 02:55:35 UTC
Lmod-8.1.17-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2076eab79f

Comment 16 Fedora Update System 2019-09-26 03:28:26 UTC
FEDORA-2019-45658909b0 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-45658909b0

Comment 17 Fedora Update System 2019-09-27 02:10:56 UTC
FEDORA-2019-11f1caa62c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-11f1caa62c

Comment 18 Fedora Update System 2019-09-27 02:28:51 UTC
Lmod-8.1.17-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-45658909b0

Comment 19 Fedora Update System 2019-09-28 01:20:50 UTC
Lmod-8.1.17-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-11f1caa62c

Comment 20 Fedora Update System 2019-10-04 20:04:49 UTC
Lmod-8.1.17-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-10-06 00:56:26 UTC
Lmod-8.1.17-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.